Workflow Edges

GET /api/v1/workflows/{workflow_id}/versions/{version_id}/edges

Get Workflow Edges

Parameters

NameInTypeRequired
workflow_idpathstringtrue
version_idpathstringtrue

Response

Type: []WorkflowEdge

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
begin_node_idstring
end_node_idstring
edge_typeWorkflowEdgeTypedata or context
user_idstring
version_idstring

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/workflows/{workflow_id}/versions/{version_id}/edges

POST /api/v1/workflows/{workflow_id}/versions/{version_id}/edges

Create Workflow Edge

Parameters

NameInTypeRequired
workflow_idpathstringtrue
version_idpathstringtrue

Request Body

Type: WorkflowEdge

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
begin_node_idstring
end_node_idstring
edge_typeWorkflowEdgeTypedata or context
user_idstring
version_idstring

Response

Type: WorkflowEdge

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
begin_node_idstring
end_node_idstring
edge_typeWorkflowEdgeTypedata or context
user_idstring
version_idstring

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/workflows/{workflow_id}/versions/{version_id}/edges

GET /api/v1/workflows/{workflow_id}/versions/{version_id}/edges/{id}

Get Workflow Edge

Parameters

NameInTypeRequired
workflow_idpathstringtrue
version_idpathstringtrue
idpathstringtrue

Response

Type: WorkflowEdge

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
begin_node_idstring
end_node_idstring
edge_typeWorkflowEdgeTypedata or context
user_idstring
version_idstring

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/workflows/{workflow_id}/versions/{version_id}/edges/{id}

PUT /api/v1/workflows/{workflow_id}/versions/{version_id}/edges/{id}

Update Workflow Edge

Parameters

NameInTypeRequired
workflow_idpathstringtrue
version_idpathstringtrue
idpathstringtrue

Request Body

Type: WorkflowEdge

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
begin_node_idstring
end_node_idstring
edge_typeWorkflowEdgeTypedata or context
user_idstring
version_idstring

Response

Type: WorkflowEdge

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
begin_node_idstring
end_node_idstring
edge_typeWorkflowEdgeTypedata or context
user_idstring
version_idstring

Example

curl -X PUT \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/workflows/{workflow_id}/versions/{version_id}/edges/{id}

DELETE /api/v1/workflows/{workflow_id}/versions/{version_id}/edges/{id}

Delete Workflow Edge

Parameters

NameInTypeRequired
workflow_idpathstringtrue
version_idpathstringtrue
idpathstringtrue

Example

curl -X DELETE \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/workflows/{workflow_id}/versions/{version_id}/edges/{id}